Bug 1660923

Summary: software updates: add snapshot/rollback
Product: Red Hat Enterprise Linux 8 Reporter: Terry Bowling <tbowling>
Component: cockpit-appstreamAssignee: Martin Pitt <mpitt>
Status: ASSIGNED --- QA Contact: qe-baseos-daemons
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 8.0CC: igkioka, mpitt, xchen, ymao, yunyang
Target Milestone: alphaKeywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1660928 (view as bug list) Environment:
Last Closed: 2019-06-04 05:44:44 UTC Type: Feature Request
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1649423, 1663864, 1663940, 1663860, 1671047    
Bug Blocks:    

Description Terry Bowling 2018-12-19 15:39:28 UTC
Ability to perform system rollbacks in Cockpit to provide the ability for customers to rollback changes or package updates after making system changes.

Probably this will involve using LVM snapshots and BOOM similar to the inplace upgrade tooling.

Further details and user stories can be found in Jira.


Feature request https://projects.engineering.redhat.com/browse/RHELBU-38
User story https://projects.engineering.redhat.com/browse/RHELSYSMGT-78

Comment 1 Martin Pitt 2019-01-04 12:07:08 UTC
Research and implementation is tracked in https://projects.engineering.redhat.com/browse/COCKPIT-358.

At first sight this should be integrated into the "Software Updates" page, which is in appstream. Thus reassigning.

Comment 2 Martin Pitt 2019-01-07 10:35:02 UTC
This is blocked on the linked bugs.

Comment 3 Martin Pitt 2019-03-11 11:24:32 UTC
*** Bug 1678463 has been marked as a duplicate of this bug. ***

Comment 6 Martin Pitt 2019-06-04 05:44:44 UTC
Corresponding to https://projects.engineering.redhat.com/browse/RHELBU-38, I close this for RHEL 7. It requires an entirely new API (snapshot-manager) to work reliably, and it's getting too late for RHEL 7.7. This will be a RHEL 8 feature.

Comment 7 Martin Pitt 2019-06-04 05:45:15 UTC
Bwah, wrong bug, this was meant for bug 1660928.